=== debian/changelog ===
ableton-link (1.0.0+dfsg-2) unstable; urgency=medium

  * Patch to disable '-m32/-m64' by default. (Closes: #842410)
  * Fixed install-path for headers
  * Fixed Vcs-Git link

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 30 Oct 2016 20:49:33 +0100

ableton-link (1.0.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #842107)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 27 Oct 2016 13:25:14 +0200
