=== debian/control ===
Source: ableton-link
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: debhelper (>= 9),
 cmake,
 catch,
 libasio-dev,
 libjack-dev,
 qtdeclarative5-dev,
Standards-Version: 3.9.8
Homepage: https://www.ableton.com/en/link/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/ableton-link.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/ableton-link.git

Package: ableton-link-dev
Architecture: all
Depends:
 ${misc:Depends},
 libasio-dev,
Description: synchronizes musical applications on multiple devices - development
 Ableton Link, a technology that synchronizes musical beat, tempo, and phase
 across multiple applications running on one or more devices. Applications on
 devices connected to a local network discover each other automatically and form
 a musical session in which each participant can perform independently: anyone
 can start or stop while still staying in time. Anyone can change the tempo, the
 others will follow. Anyone can join or leave without disrupting the session.
 .
 Ableton Link is implemented as a header-only C++-library.
 This package contains the development files.

Package: ableton-link-utils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: synchronizes musical applications on multiple devices - cmdline utils
 Ableton Link, a technology that synchronizes musical beat, tempo, and phase
 across multiple applications running on one or more devices. Applications on
 devices connected to a local network discover each other automatically and form
 a musical session in which each participant can perform independently: anyone
 can start or stop while still staying in time. Anyone can change the tempo, the
 others will follow. Anyone can join or leave without disrupting the session.
 .
 This package contains cmdline utilities to check synchronisation.

Package: ableton-link-utils-gui
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 qml-module-qtquick-controls,
Description: synchronizes musical applications on multiple devices - GUI utils
 Ableton Link, a technology that synchronizes musical beat, tempo, and phase
 across multiple applications running on one or more devices. Applications on
 devices connected to a local network discover each other automatically and form
 a musical session in which each participant can perform independently: anyone
 can start or stop while still staying in time. Anyone can change the tempo, the
 others will follow. Anyone can join or leave without disrupting the session.
 .
 This package contains GUI utilities to check synchronisation.
