## ableton-link 3.0.1%2Bdfsg

=== debian/changelog ===
ableton-link (3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.1+dfsg

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig ]
  * Imported upstream 3.0.1+dfsg
    * Refreshed patches (and removed those applied upstream)
  * d/rules: Removed dh boilerplate
  * d/control: Updated maintainer email address
  * d/control: Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Mar 2018 15:28:56 +0100
