=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: ableton-link
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends: debhelper (>= 9),
  cmake,
  catch,
  libasio-dev,
  libjack-dev,
  qtdeclarative5-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://www.ableton.com/en/link/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/ableton-link.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/ableton-link.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/ableton-link.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ableton-link
 
 Package: ableton-link-dev
 Architecture: all
