## ableton-link 3.0.2+dfsg

=== debian/changelog ===
ableton-link (3.0.2+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * Patch to fix missing includes (Closes: #956974)
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Bump dh-compat to 13
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Jul 2020 16:27:03 +0200

ableton-link (3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.2+dfsg
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 03 Jun 2018 22:14:29 +0200
