=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
  cmake,
  catch,
  libasio-dev,
  libjack-dev,
  qtdeclarative5-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.ableton.com/en/link/
 Vcs-Git: https://salsa.debian.org/multimedia-team/ableton-link.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ableton-link
