=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
 QMANPAGES = debian/QLinkHut.1 debian/QLinkHutSilent.1
@@ -35,4 +33,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f $(QMANPAGES)
-
