## ableton-link 3.0.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,20 +11,13 @@
 #       |_|
 
 # Note: Please use the LINK_* prefix for all project-specific options
-option(LINK_BUILD_QT_EXAMPLES "Build examples (Requires Qt)" OFF)
 
 if(UNIX)
-  set(LINK_WORD_SIZE "64" CACHE STRING "Set the word size (must be either 32 or 64)")
   option(LINK_ENABLE_ASAN "Build with Address Sanitizier (ASan)" OFF)
+  option(LINK_BUILD_JACK "Build example applications with JACK support" OFF)
 endif()
 
 if(WIN32)
-  if(${CMAKE_GENERATOR} MATCHES "Win64")
-    set(LINK_WORD_SIZE "64")
-  else()
-    set(LINK_WORD_SIZE "32")
-  endif()
-
   option(LINK_BUILD_ASIO "Build example applications with ASIO driver" ON)
   option(LINK_BUILD_VLD "Build with VLD support (VLD must be installed separately)" OFF)
 endif()
@@ -38,7 +31,6 @@
 
 # Other CMake files must be included only after declaring build options
 include(cmake_include/ConfigureCompileFlags.cmake)
-include(cmake_include/ConfigureWordSize.cmake)
 include(cmake_include/CatchConfig.cmake)
 include(AbletonLinkConfig.cmake)
