=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -72,10 +72,17 @@
     )
   endif()
 elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-  set(linkhut_audio_SOURCES
-    linkaudio/AudioPlatform_Portaudio.hpp
-    linkaudio/AudioPlatform_Portaudio.cpp
-  )
+  if(LINK_BUILD_JACK)
+    set(linkhut_audio_SOURCES
+      linkaudio/AudioPlatform_Jack.hpp
+      linkaudio/AudioPlatform_Jack.cpp
+    )
+  else()
+    set(linkhut_audio_SOURCES
+      linkaudio/AudioPlatform_Portaudio.hpp
+      linkaudio/AudioPlatform_Portaudio.cpp
+    )
+  endif()
 endif()
 
 include_directories(linkaudio)
@@ -90,12 +97,10 @@
 
 function(configure_linkhut_executable target)
   if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-    target_link_libraries(${target} pthread)
+    target_link_libraries(${target} atomic pthread)
   endif()
 
   target_link_libraries(${target} Ableton::Link)
-
-  target_set_word_size(${target})
 endfunction()
 
 function(configure_linkhut_audio_sources target)
@@ -105,10 +110,17 @@
       -DLINKHUT_AUDIO_PLATFORM_COREAUDIO=1
     )
   elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-    target_link_libraries(${target} asound portaudio)
-    target_compile_definitions(${target} PRIVATE
-      -DLINKHUT_AUDIO_PLATFORM_PORTAUDIO=1
-    )
+    if(LINK_BUILD_JACK)
+      target_link_libraries(${target} jack)
+      target_compile_definitions(${target} PRIVATE
+        -DLINKHUT_AUDIO_PLATFORM_JACK=1
+      )
+    else()
+      target_link_libraries(${target} asound portaudio)
+      target_compile_definitions(${target} PRIVATE
+        -DLINKHUT_AUDIO_PLATFORM_PORTAUDIO=1
+      )
+    endif()
   elseif(WIN32)
     if(LINK_BUILD_ASIO)
       # ASIO uses lots of old-school string APIs from the C stdlib
@@ -131,7 +143,11 @@
   # When building LinkHut, additional warnings are generated from third-party frameworks
   set(extra_ignored_warnings_LIST
     "/wd4127" # conditional expression is constant
+    "/wd4242" # 'identifier' : conversion from 'type1' to 'type2', possible loss of data
+    "/wd4619" # #pragma warning : there is no warning number 'number'
+    "/wd4668" # 'symbol' is not defined as a preprocessor macro, replacing with '0' for 'directives'
     "/wd4702" # unreachable code
+    "/wd4946" # reinterpret_cast used between related classes: 'class1' and 'class2'
   )
   if(LINK_BUILD_ASIO)
     set(extra_ignored_warnings_LIST
@@ -139,6 +155,11 @@
       "/wd4267" # 'argument': conversion from '?' to '?', possible loss of data
       "/wd4477" # 'printf': format string '%?' requires an argument of type '?'
     )
+  else()
+    set(extra_ignored_warnings_LIST
+      ${extra_ignored_warnings_LIST}
+      "/wd4191" # 'operator/operation' : unsafe conversion from 'type of expression' to 'type required'
+    )
   endif()
   string(REPLACE ";" " " extra_ignored_warnings "${extra_ignored_warnings_LIST}")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${extra_ignored_warnings}")
@@ -171,67 +192,32 @@
 configure_linkhut_executable(LinkHut)
 source_group("LinkHut" FILES ${linkhut_HEADERS} ${linkhut_SOURCES})
 
-#   ___  _     _       _    _   _       _
-#  / _ \| |   (_)_ __ | | _| | | |_   _| |_
-# | | | | |   | | '_ \| |/ / |_| | | | | __|
-# | |_| | |___| | | | |   <|  _  | |_| | |_
-#  \__\_\_____|_|_| |_|_|\_\_| |_|\__,_|\__|
-#
-
-if(LINK_BUILD_QT_EXAMPLES)
-
-  set(CMAKE_AUTOMOC ON)
-  set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
-  find_package(Qt5Quick REQUIRED)
-
-  set(qlinkhut_HEADERS
-    linkaudio/AudioEngine.hpp
-    linkaudio/AudioPlatform.hpp
-    qlinkhut/Controller.hpp
-    ${link_HEADERS}
-  )
-
-  set(qlinkhut_SOURCES
-    linkaudio/AudioEngine.cpp
-    qlinkhut/Controller.cpp
-    qlinkhut/main.cpp
-    ${link_SOURCES}
-  )
-  source_group("QLinkHut" FILES ${qlinkhut_HEADERS} ${qlinkhut_SOURCES})
-  qt5_add_resources(UI_RESOURCES qlinkhut/resources.qrc)
-
-  add_executable(QLinkHut
-    ${qlinkhut_HEADERS}
-    ${qlinkhut_SOURCES}
-    ${linkhut_audio_SOURCES}
-    ${UI_RESOURCES}
-  )
-  target_link_libraries(QLinkHut Qt5::Quick)
-  configure_linkhut_audio_sources(QLinkHut)
-  configure_linkhut_executable(QLinkHut)
-
-  # A silent version of QLinkHut that uses the Link application context instead of
-  # the audio buffer context. It is the same as QLinkHut except that it doesn't
-  # generate sound.
-
-  add_executable(QLinkHutSilent
-    ${qlinkhut_HEADERS}
-    ${qlinkhut_SOURCES}
-    linkaudio/AudioPlatform_Dummy.hpp
-    ${UI_RESOURCES}
-  )
-  target_link_libraries(QLinkHutSilent Qt5::Quick)
-
-  target_compile_definitions(QLinkHutSilent PRIVATE
-    -DLINKHUT_AUDIO_PLATFORM_DUMMY=1
-  )
-  if(UNIX)
-    set_target_properties(QLinkHutSilent
-      PROPERTIES
-      COMPILE_FLAGS "-Wno-unused"
-    )
-  endif()
-
-  configure_linkhut_executable(QLinkHutSilent)
-endif()
+#  _     _       _    _   _       _   ____  _ _            _
+# | |   (_)_ __ | | _| | | |_   _| |_/ ___|(_) | ___ _ __ | |_
+# | |   | | '_ \| |/ / |_| | | | | __\___ \| | |/ _ \ '_ \| __|
+# | |___| | | | |   <|  _  | |_| | |_ ___) | | |  __/ | | | |_
+# |_____|_|_| |_|_|\_\_| |_|\__,_|\__|____/|_|_|\___|_| |_|\__|
+#
+
+set(linkhutsilent_HEADERS
+  linkaudio/AudioEngine.hpp
+  linkaudio/AudioPlatform_Dummy.hpp
+  ${link_HEADERS}
+)
+
+set(linkhutsilent_SOURCES
+  linkaudio/AudioEngine.cpp
+  linkhut/main.cpp
+)
+
+add_executable(LinkHutSilent
+  ${linkhutsilent_HEADERS}
+  ${linkhutsilent_SOURCES}
+)
+
+target_compile_definitions(LinkHutSilent PRIVATE
+  -DLINKHUT_AUDIO_PLATFORM_DUMMY=1
+)
+
+configure_linkhut_executable(LinkHutSilent)
+source_group("LinkHutSilent" FILES ${linkhutsilent_HEADERS} ${linkhutsilent_SOURCES})
