=== include/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 set(link_core_DIR ${CMAKE_CURRENT_SOURCE_DIR}/ableton/link)
 set(link_core_HEADERS
   ${link_core_DIR}/Beats.hpp
+  ${link_core_DIR}/CircularFifo.hpp
   ${link_core_DIR}/ClientSessionTimelines.hpp
   ${link_core_DIR}/Controller.hpp
   ${link_core_DIR}/Gateway.hpp
@@ -24,12 +25,15 @@
   ${link_core_DIR}/NodeId.hpp
   ${link_core_DIR}/NodeState.hpp
   ${link_core_DIR}/PayloadEntries.hpp
+  ${link_core_DIR}/Optional.hpp
   ${link_core_DIR}/Peers.hpp
   ${link_core_DIR}/PeerState.hpp
   ${link_core_DIR}/Phase.hpp
   ${link_core_DIR}/PingResponder.hpp
   ${link_core_DIR}/SessionId.hpp
+  ${link_core_DIR}/SessionState.hpp
   ${link_core_DIR}/Sessions.hpp
+  ${link_core_DIR}/StartStopState.hpp
   ${link_core_DIR}/Tempo.hpp
   ${link_core_DIR}/Timeline.hpp
   ${link_core_DIR}/v1/Messages.hpp
@@ -53,7 +57,6 @@
   ${link_discovery_DIR}/PeerGateway.hpp
   ${link_discovery_DIR}/PeerGateways.hpp
   ${link_discovery_DIR}/Service.hpp
-  ${link_discovery_DIR}/Socket.hpp
   ${link_discovery_DIR}/UdpMessenger.hpp
   ${link_discovery_DIR}/v1/Messages.hpp
   PARENT_SCOPE
@@ -69,16 +72,24 @@
 set(link_platform_DIR ${CMAKE_CURRENT_SOURCE_DIR}/ableton/platforms)
 set(link_platform_HEADERS
   ${link_platform_DIR}/Config.hpp
-  ${link_platform_DIR}/asio/AsioService.hpp
   ${link_platform_DIR}/asio/AsioTimer.hpp
   ${link_platform_DIR}/asio/AsioWrapper.hpp
   ${link_platform_DIR}/asio/Context.hpp
-  ${link_platform_DIR}/asio/PooledHandlerContext.hpp
+  ${link_platform_DIR}/asio/LockFreeCallbackDispatcher.hpp
   ${link_platform_DIR}/asio/Socket.hpp
   ${link_platform_DIR}/asio/Util.hpp
 )
 
-if(UNIX)
+if(ESP_PLATFORM)
+  set(link_platform_HEADERS
+    ${link_platform_HEADERS}
+    ${link_platform_DIR}/esp32/Clock.hpp
+    ${link_platform_DIR}/esp32/Context.hpp
+    ${link_platform_DIR}/esp32/Esp32.hpp
+    ${link_platform_DIR}/esp32/Random.hpp
+    ${link_platform_DIR}/esp32/ScanIpIfAddrs.hpp
+  )
+elseif(UNIX)
   set(link_platform_HEADERS
     ${link_platform_HEADERS}
     ${link_platform_DIR}/posix/ScanIpIfAddrs.hpp
@@ -89,19 +100,24 @@
       ${link_platform_HEADERS}
       ${link_platform_DIR}/darwin/Clock.hpp
       ${link_platform_DIR}/darwin/Darwin.hpp
+      ${link_platform_DIR}/stl/Random.hpp
     )
   elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     set(link_platform_HEADERS
       ${link_platform_HEADERS}
+      ${link_platform_DIR}/linux/Clock.hpp
       ${link_platform_DIR}/linux/Linux.hpp
       ${link_platform_DIR}/stl/Clock.hpp
+      ${link_platform_DIR}/stl/Random.hpp
     )
   endif()
 elseif(WIN32)
   set(link_platform_HEADERS
     ${link_platform_HEADERS}
+    ${link_platform_DIR}/stl/Random.hpp
     ${link_platform_DIR}/windows/Clock.hpp
     ${link_platform_DIR}/windows/ScanIpIfAddrs.hpp
+    ${link_platform_DIR}/windows/Windows.hpp
   )
 endif()
 set(link_platform_HEADERS
