=== debian/changelog ===
ableton-link (3.0.3+dfsg-1) unstable; urgency=medium

  * Drop B-D and all references of Qt
  * Upload to unstable

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 13 Jan 2021 14:11:28 +0100

ableton-link (3.0.3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 3.0.3+dfsg
    * Drop patches applied upstream
  * Remove 'ableton-link-utils-gui' package
    * upstream has removed the GUI-variants of the tools
  * Bump d/watch to version 4
  * Bump standards version to 4.5.1


 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 13 Jan 2021 09:46:09 +0100
