=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
  catch,
  libasio-dev,
  libjack-dev,
- qtdeclarative5-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.ableton.com/en/link/
 Vcs-Git: https://salsa.debian.org/multimedia-team/ableton-link.git
@@ -46,19 +45,3 @@
  others will follow. Anyone can join or leave without disrupting the session.
  .
  This package contains cmdline utilities to check synchronisation.
-
-Package: ableton-link-utils-gui
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- qml-module-qtquick-controls,
-Description: synchronizes musical applications on multiple devices - GUI utils
- Ableton Link, a technology that synchronizes musical beat, tempo, and phase
- across multiple applications running on one or more devices. Applications on
- devices connected to a local network discover each other automatically and form
- a musical session in which each participant can perform independently: anyone
- can start or stop while still staying in time. Anyone can change the tempo, the
- others will follow. Anyone can join or leave without disrupting the session.
- .
- This package contains GUI utilities to check synchronisation.
