=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,14 +22,16 @@
   ableton/link/tst_ClientSessionTimelines.cpp
   ableton/link/tst_Controller.cpp
   ableton/link/tst_HostTimeFilter.cpp
-  ableton/link/tst_Kalman.cpp
   ableton/link/tst_LinearRegression.cpp
   ableton/link/tst_Measurement.cpp
+  ableton/link/tst_Median.cpp
   ableton/link/tst_Peers.cpp
   ableton/link/tst_Phase.cpp
   ableton/link/tst_PingResponder.cpp
+  ableton/link/tst_StartStopState.cpp
   ableton/link/tst_Tempo.cpp
   ableton/link/tst_Timeline.cpp
+  ableton/link/tst_TripleBuffer.cpp
 )
 
 set(link_test_SOURCES
@@ -73,12 +75,11 @@
 #                |___/
 
 function(configure_link_test_executable target)
-  if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-    target_link_libraries(${target} pthread)
+  if(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD|GNU")
+    target_link_libraries(${target} atomic pthread)
   endif()
   target_link_libraries(${target} Catch::Catch Ableton::Link)
-
-  target_set_word_size(${target})
+  target_compile_definitions(${target} PRIVATE -DCATCH_CONFIG_ENABLE_BENCHMARKING=1)
 endfunction()
 
 # For the LinkCore test suite, we add header dependencies individually so that
