=== debian/changelog ===
ableton-link (3.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.5+dfsg
    - Refresh patches
  * d/watch: automatic version mangling
  * d/copyright
    * Bump dates in d/copyright
    * Add 'licensecheck' target to d/rules
    * Generate original d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 19 Apr 2022 11:48:12 +0200

ableton-link (3.0.3+dfsg-6) unstable; urgency=medium

  * d/tests: allow stderr on build-examples-cmake test

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 21 Sep 2021 14:19:01 +0200

ableton-link (3.0.3+dfsg-5) unstable; urgency=medium

  * Fix compilation on kFreeBSD and the HURD (Closes: #842653)
  * Specify CMAKE_BUILD_TYPE to RelWithDebInfo
  * Install symlink for ableton-link-dev's CMake module
  * Add autopkgtest for building with cmake

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Sep 2021 11:37:46 +0200

ableton-link (3.0.3+dfsg-4) unstable; urgency=medium

  * Fix FTBFS for separate indep/arch targets

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 09 Sep 2021 17:31:03 +0200

ableton-link (3.0.3+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop useless dh overrides
  * Fix include paths in exported CMake snippets (Closes: #993999)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 09 Sep 2021 17:19:46 +0200

ableton-link (3.0.3+dfsg-2) unstable; urgency=medium

  * Mark dev-package as MultiArch:foreign
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 24 Aug 2021 17:25:51 +0200
