=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,16 @@
 	dh_auto_configure -- \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DLINK_BUILD_JACK=ON \
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(empty)
 
-override_dh_auto_build:
-	dh_auto_build
+override_dh_install-indep:
+	dh_install --indep
+	find $(CURDIR)/debian/ableton-link-dev/usr/share -name "*.cmake" -exec \
+		sed -e 's|$${CMAKE_CURRENT_LIST_DIR}/include|/usr/include|g' -i {} +
 
-override_dh_auto_clean:
-	dh_auto_clean
+licensecheck:
+	licensecheck --deb-machine -r * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints
