=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg,uversionmangle=s/Link-\.// \
  https://github.com/Ableton/link/releases .*/(Link-)?(\d\S*)\.tar\.gz
