## ableton-link 3.0.6+dfsg

=== debian/changelog ===
ableton-link (3.0.6+dfsg-4) unstable; urgency=medium

  * Unconditionally link clients against libatomic
  * Use generic build-dir for autopkgtests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Jan 2023 10:22:28 +0100

ableton-link (3.0.6+dfsg-3) unstable; urgency=medium

  * Fix typo in d/changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Jan 2023 12:40:17 +0100

ableton-link (3.0.6+dfsg-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Link with -latomic on architectures that need it

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Jan 2023 11:13:10 +0100

ableton-link (3.0.6+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.6+dfsg
  * Disable building tests in the 'nocheck' profile
    + Drop B-D:catch in the 'nocheck' profile
  * Use execute_after_dh_* instead of override_dh_*
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 10 Jan 2023 23:07:34 +0100

ableton-link (3.0.5+dfsg-2) unstable; urgency=medium

  * Install developer examples
    * Add patch to ship usable examples
    * autopkgtest: drop obsolete on-the-fly patching
  * Install Cmake snippets into default place (instead of symlinking them)
  * Fix title of manpage
  * d/watch: switch to github/tags
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 09:30:02 +0200
