=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends:
+ catch <!nocheck>,
  cmake,
- catch,
+ debhelper-compat (= 13),
  libasio-dev,
  libjack-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.ableton.com/en/link/
 Vcs-Git: https://salsa.debian.org/multimedia-team/ableton-link.git
@@ -17,9 +18,10 @@
 
 Package: ableton-link-dev
 Architecture: all
+Multi-Arch: foreign
 Depends:
+ libasio-dev,
  ${misc:Depends},
- libasio-dev,
 Description: synchronizes musical applications on multiple devices - development
  Ableton Link, a technology that synchronizes musical beat, tempo, and phase
  across multiple applications running on one or more devices. Applications on
@@ -34,8 +36,8 @@
 Package: ableton-link-utils
 Architecture: any
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: synchronizes musical applications on multiple devices - cmdline utils
  Ableton Link, a technology that synchronizes musical beat, tempo, and phase
  across multiple applications running on one or more devices. Applications on
