## ableton-link 3.1.1+dfsg

=== debian/changelog ===
ableton-link (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.1+dfsg

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2024 13:57:07 +0100

ableton-link (3.1.0+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with catch3 (Closes: #1054677)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 30 Oct 2023 15:40:19 +0100

ableton-link (3.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.0+dfsg
    + Drop patches applied upstream
    + Refresh patches
  * Switch tests to catch2
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 26 Sep 2023 14:05:30 +0200
