=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- catch <!nocheck>,
+ catch2 (>= 3~) <!nocheck>,
  cmake,
  debhelper-compat (= 13),
  libasio-dev,
