=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts="\
 uversionmangle=s/Link-\.//, \
 repacksuffix=+dfsg, \
 dversionmangle=auto" \
	https://github.com/Ableton/link/tags .*/(Link-)?(\d\S*)\.tar\.gz
